Package org.codehaus.classworlds

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.classworlds.ConfigurationException

All Implemented Interfaces:
  `java.io.Serializable`

    @Deprecated
    public class ConfigurationException
    extends java.lang.Exception

Deprecated.
Indicates an error during `Launcher` configuration.

Author:
  bob mcwhirter
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConfigurationException​(java.lang.String msg)` Deprecated. Construct.
`ConfigurationException​(java.lang.String msg, int lineNo, java.lang.String line)` Deprecated. Construct.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationException

    public ConfigurationException​(java.lang.String msg)

Deprecated.
Construct.

Parameters:
  `msg` - The message.

#### ConfigurationException

    public ConfigurationException​(java.lang.String msg,
                                  int lineNo,
                                  java.lang.String line)

Deprecated.
Construct.

Parameters:
  `msg` - The message.
  `lineNo` - The number of configuraton line where the problem occured.
  `line` - The configuration line where the problem occured.